%global _hardened_build 1

Name:		ebtree
Version:	6.0.8
Release:	1%{?dist}
Summary:	Elastic binary tree library

Group:		System Environment/Libraries
License:	LGPLv2
URL:		http://1wt.eu/articles/ebtree/
Source0:	http://1wt.eu/tools/%{name}/%{name}-%{version}.tar.gz

# Build shared libraries. Upstream is asked for this in private mail.
# No mailing list nor bug tracker available
Patch1:		ebtree-6.0.8.build_shared_libs.patch

# No build requirements, except glibc-headers :-)

# For epel5 support
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%description
ebtree is a binary search tree specially optimized to very
frequently store, retrieve and delete discrete integer or binary
data without having to deal with memory allocation

%package devel
Summary:	Development files for %{name}
Group:		Development/Libraries
Requires:	%{name}

%description devel
Development files for %{name}

%prep
%setup -q
%patch1 

%build
export CFLAGS="%{optflags}"
make %{?_smp_mflags}
head -245 ebtree.h > README

%install

# For 5,6 support
mkdir -p %{buildroot}%{_libdir}
mkdir -p %{buildroot}%{_includedir}

install -D -p -m 0755 -t %{buildroot}%{_libdir} *.so.?.?
install -D -p -m 0644 -t %{buildroot}%{_includedir} *.h
cp -P *.so *.so.? %{buildroot}%{_libdir}

%files
%doc VERSION LICENSE README
%{_libdir}/*.so.*
%if 0%{?fedora} >= 17 || 0%{?rhel} >= 7
%license LICENSE
%endif

%files devel
%doc VERSION LICENSE README examples
%{_includedir}/*.h
%{_libdir}/*.so
%if 0%{?fedora} >= 17 || 0%{?rhel} >= 7
%license LICENSE
%endif

%changelog
* Thu Aug 25 2016 Ingvar Hagelund <ingvar@redpill-linpro.com> 6.0.8-1
- First wrap for Fedora
